Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.connection.jedis
Class JedisConverters

    java.lang.Object
      org.springframework.data.redis.connection.convert.Converters
          org.springframework.data.redis.connection.jedis.JedisConverters

    public abstract class JedisConverters

extends Converters

Jedis type converters

Constructor Summary
`JedisConverters()`

Method Summary
`static Converter<Exception,DataAccessException>` | `exceptionConverter()`
`static ListConverter<String,byte[]>` | `stringListToByteList()`
`static MapConverter<String,byte[]>` | `stringMapToByteMap()`
`static SetConverter<String,byte[]>` | `stringSetToByteSet()`
`static Converter<String,byte[]>` | `stringToBytes()`
`static byte[][]` | `toByteArrays(Map<byte[],byte[]> source)`
`static byte[]` | `toBytes(Integer source)`
`static DataAccessException` | `toDataAccessException(Exception ex)`
`static redis.clients.jedis.BinaryClient.LIST_POSITION` | `toListPosition(RedisListCommands.Position source)`
`static redis.clients.jedis.SortingParams` | `toSortingParams(SortParameters params)`
`static String` | `toString(byte[] source)`
`static String[]` | `toStrings(byte[][] source)`
`static Set<RedisZSetCommands.Tuple>` | `toTupleSet(Set<redis.clients.jedis.Tuple> source)`
`static SetConverter<redis.clients.jedis.Tuple,RedisZSetCommands.Tuple>` | `tupleSetToTupleSet()`

Methods inherited from class org.springframework.data.redis.connection.convert.Converters
`longToBoolean, stringToDataType, stringToProps, toBit, toBoolean, toDataType, toObjects, toProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JedisConverters

    public JedisConverters()

Method Detail

### stringToBytes

    public static Converter<String,byte[]> stringToBytes()

### stringListToByteList

    public static ListConverter<String,byte[]> stringListToByteList()

### stringSetToByteSet

    public static SetConverter<String,byte[]> stringSetToByteSet()

### stringMapToByteMap

    public static MapConverter<String,byte[]> stringMapToByteMap()

### tupleSetToTupleSet

    public static SetConverter<redis.clients.jedis.Tuple,RedisZSetCommands.Tuple> tupleSetToTupleSet()

### exceptionConverter

    public static Converter<Exception,DataAccessException> exceptionConverter()

### toStrings

    public static String[] toStrings(byte[][] source)

### toTupleSet

    public static Set<RedisZSetCommands.Tuple> toTupleSet(Set<redis.clients.jedis.Tuple> source)

### toBytes

    public static byte[] toBytes(Integer source)

### toString

    public static String toString(byte[] source)

### toDataAccessException

    public static DataAccessException toDataAccessException(Exception ex)

### toListPosition

    public static redis.clients.jedis.BinaryClient.LIST_POSITION toListPosition(RedisListCommands.Position source)

### toByteArrays

    public static byte[][] toByteArrays(Map<byte[],byte[]> source)

### toSortingParams

    public static redis.clients.jedis.SortingParams toSortingParams(SortParameters params)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD